using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("变化后执行任务表")]
    public class T_PR_CHANGE_IDENTIFY_EVALUATION_TASK : MesEntityBase
    {
        [Description("变化识别评估表")]
        [DataFieldForeignKey("Nav_Change", "Nav_Tasks")]
        public Guid CHANGE_IDENTIFY_EVALUATION_ID { get; set; }

        [Description("变化识别评估表")]
        public virtual T_PR_CHANGE_IDENTIFY_EVALUATION Nav_Change { get; set; }

        [Description("执行任务")]
        [DataFieldForeignKey("Nav_Task")]
        public Guid? TASK_ID { get; set; }

        [Description("执行任务")]
        public virtual T_PR_PERFORM_TASK_SET Nav_Task { get; set; }

        [Description("落实人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("落实人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("验收意见")]
        [EnumName("PRAcceptanceOpinionEnum")]
        public PRAcceptanceOpinionEnum? ACCEPTANCE_OPINION { get; set; }

        [Description("不通过原因")]
        public string NOTHROUGH_REASON { get; set; }
    }
}
